GET
/
v1
/
products
List products
curl --request GET \
  --url https://api.hofj.com/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "slug": "<string>",
      "title": "<string>",
      "shortDescription": "<string>",
      "description": "<string>",
      "archived": true,
      "channelId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "publishedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
default:dev-internal-api-key
required

Use Authorization: Bearer <access_token> from POST /v1/oauth/token, or Authorization: Bearer <api_key>. Dev-only example key (do not use in production): see repository README.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string
channelIds
string

Comma-separated content channel ids (optional; intersected with client allowlist).

brand
string

Distribution channel brand: matches channel name or domainUrl (e.g. Weebora, weebora.com). If omitted, CONTENT_DEFAULT_CHANNEL_DOMAIN must be set server-side.

locale
string

Locale for localized fields (e.g. it). Defaults to CONTENT_DEFAULT_LOCALE when set.

Response

Product list

data
object[]
meta
object